import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:SEFER/constant/style.dart';
import 'package:SEFER/views/lang/languages.dart';
import 'package:SEFER/views/widgets/my_scafold.dart';

class SettingsCaptain extends StatelessWidget {
  const SettingsCaptain({super.key});

  @override
  Widget build(BuildContext context) {
    return MyScafolld(
      title: 'Settings'.tr,
      body: [
        ListView(
          children: <Widget>[
            ListTile(
              leading: const Icon(Icons.language),
              title: Text(
                'Language'.tr,
                style: AppStyle.headTitle2,
              ),
              onTap: () => Get.to(const Language()),
            ),
            // ListTile(
            //   leading: const Icon(Icons.notifications),
            //   title: const Text('Notifications'),
            //   onTap: () =>
            //       Navigator.pushNamed(context, '/notification-settings'),
            // ),
            // ListTile(
            //   leading: const Icon(Icons.account_circle),
            //   title: const Text('Account'),
            //   onTap: () => Navigator.pushNamed(context, '/account-settings'),
            // ),
          ],
        ),
      ],
      isleading: true,
    );
  }
}
